#!/usr/bin/perl -I/usr/sausalito/perl


use lib '/usr/sausalito/perl:/tmp';
use CCE;
use updateCluster;

$DEBUG = 0;
if ($DEBUG){ use Sys::Syslog qw( :DEFAULT setlogsock); }

my $cce = new CCE;
$cce->connectfd();

$networkInterfaces = updateCluster::getNetworkInterfaces($cce);

$IP_eth0 = $networkInterfaces->{'br0'};
$IP_eth1 =  $networkInterfaces->{'eth1'};
$stand_alone_raw = `cat /etc/ha.d/ha.cf |grep "^bcast lo"|wc -l`;
$stand_alone_raw =~ s/(.*)\n+$//;
$stand_alone = $1;

&updateCluster::debug_msg("Ethernet interfaces: $IP_eth0 -- $IP_eth1\n");

($clusterOid) = $cce->find('Cluster');
if (!$clusterOid) {
    if($IP_eth1) {
        &debug_msg("Secondary interface is configured\n");
    }
    else {
        &debug_msg("Secondary interface is not configured\n");
    }
    updateCluster::createClusterConf($cce, $IP_eth0, $IP_eth1, $stand_alone, $DEBUG);
} else {
    debug_msg("Updating cluster status.\n");
    $clusterStatusArray = updateCluster::getClusterStatus($DEBUG);
    $validated = updateCluster::validateClusterStatus($clusterStatusArray, $DEBUG);
    updateCluster::updateClusterStatus($clusterStatusArray, $cce, $DEBUG);
}

sub debug_msg {
    if ($DEBUG) {
        if ($DEBUG){ use Sys::Syslog qw( :DEFAULT setlogsock); }
        my $msg = shift;
        $user = $ENV{'USER'};
        setlogsock('unix');
        openlog($0,'','user');
        syslog('info', "$ARGV[0]: $msg");
        closelog;
    }
}

$cce->bye('SUCCESS');
exit(0);
