#!/bin/sh

# This script checks if we have a situation where both nodes are Secondary
# in the cluster. If that is the case, the designated master is made Primary.
# If no designated master has been defined, the box with the faster cronjob
# execution wins the race, so that we have at least one Primary.
# Regardless of who it is.

MakePriMS() {
    # Check if DRBD is Secondary/Secondary:
    DRBDSTATUSSOL=`cat /proc/drbd | grep "ro:Secondary/Secondary" | wc -l`
    if [ $DRBDSTATUSSOL -eq 1 ];then
        if [ -f /etc/ismaster ];then
            # This is supposed to be the master. Make it master:
            /usr/share/heartbeat/hb_takeover
        else
            # This is the slave. We wait 90 secs for the designated master:
            sleep 90

            # Then we check again if we're Secondary/Secondary:
            DRBDSTATUSSOL=`cat /proc/drbd | grep "ro:Secondary/Secondary" | wc -l`
            if [ $DRBDSTATUSSOL -eq 1 ];then
                # If we're still Secondary/Secondary, we make ourselves primary:
                /usr/share/heartbeat/hb_takeover
            fi
        fi
    fi
}

# Execute:
if [ -f /proc/drbd ];then
    MakePriMS
fi
